## NAME

v.net.steiner - Create Steiner tree for the network and given terminals. Note that 'Minimum Steiner Tree' problem is NP-hard and heuristic algorithm is used in this module so the the result may be sub optimal.

## SYNOPSIS

v.net.steiner
v.net.steiner help
v.net.steiner [-g] input=string output=string [type=string[,string,...]] [alayer=integer] [nlayer=integer] [acolumn=string] tcats=string [nsp=integer]

### Flags:

-g
  Use geodesic calculation for longitude-latitude locations

### Parameters:

input=string
  Name of input vector
output=string
  Name of output vector
type=string[,string,...]
  Arc type
  Options: line,boundary
  Default: line,boundary
alayer=integer
  Arc layer
  Default: 1
nlayer=integer
  Node layer (used for terminals)
  Default: 2
acolumn=string
  Arcs' cost column (for both directions)
tcats=string
  Category values.
  Categories of points on terminals (layer is specified by nlayer)
nsp=integer
  Number of steiner poins. (-1 for all possible)
  Default: -1

## DESCRIPTION

v.net.steiner calculates the optimal connection of nodes on a vector network.

## EXAMPLE

TODO

## SEE ALSO

d.path v.net.alloc v.net.iso v.net.salesman

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2003/08/09 15:29:16 $

Help Index